Browser requirements

 

This website was built to conform to most browsers on a Windows platform . 

Some older web browsers may be incompatible. If you have any problems viewing this website please upgrade your browser. 

As a guide the following popular up to date browsers are compatible with this website:

 

  • IE (8 and upwards)
  • Firefox / Firebird
  • Opera 
  • Safari


If upgrading does not work or you are already using the latest browser please contact us at enquiries@flymango.com with a description of the problem.


Please Note: Cookies must be enabled.

Get our newsletter
Subscribe